flatbuffers (24.3.25-1+rpt1) trixie; urgency=medium

  [ Naushir Patuck ]
  * Update tree from debian/master to master
  * Add salsa-ci.yml
  * New upstream version 24.3.25

 -- NAUSH-P-DELL <naush@raspberrypi.com>  Wed, 17 Sep 2025 08:49:23 +0100

flatbuffers (23.5.26+dfsg-4) unstable; urgency=medium

  * Fix FTBFS due to setuptools (>= 78) feature deprecation. (Closes: #1103212)

 -- Mo Zhou <lumin@debian.org>  Wed, 16 Apr 2025 11:46:28 -0400

flatbuffers (23.5.26+dfsg-3) unstable; urgency=medium

  [ Bardia Moshiri ]
  * debian: build with position independent code

 -- Mo Zhou <lumin@debian.org>  Fri, 11 Apr 2025 09:00:50 -0400

flatbuffers (23.5.26+dfsg-2) unstable; urgency=medium

  * Enable pristine-tar in gbp.conf.
  * Add several autopkgtest test cases using upstream samples.
  * Apply wrap-and-sort.
  * Bump Standards-Version to 4.7.2 (no change needed).

 -- Mo Zhou <lumin@debian.org>  Thu, 27 Feb 2025 22:36:17 -0500

flatbuffers (23.5.26+dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Update the version range of Breaks/Replaces so
    that all the past versions of libflatbuffers2 are covered.
    (really closes: #1043102)

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Jul 2024 22:36:52 -0400

flatbuffers (23.5.26+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 13 Jul 2024 02:50:50 -0400

flatbuffers (23.5.26+dfsg-1~exp1) experimental; urgency=medium

  * Patch code to fix tests on mips64el and hppa.
  * Specify Breaks+Replaces for the lib package as well. (Closes: #1043244)
  * Fix ftbfs-source-after-build. (Closes: #1044425)

 -- Mo Zhou <lumin@debian.org>  Fri, 29 Dec 2023 16:38:36 -0500

flatbuffers (23.5.26+dfsg-1~exp0) experimental; urgency=medium

  * New upstream version 23.5.26+dfsg.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 06 Aug 2023 12:52:16 +0900

flatbuffers (2.0.8+dfsg1-5) unstable; urgency=medium

  * Change the package to install pkg-config file to libflatbuffers-dev.
  * d/control: Add libflatbuffers2 (<< 2.0.8+dfsg1-4) to Breaks and Replaces.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 06 Aug 2023 09:48:20 +0900

flatbuffers (2.0.8+dfsg1-4) unstable; urgency=medium

  * Fix invalid version number for pkg_resources.
    Thanks to Julian Gilbey <jdg@debian.org> for the patch. (Closes: #1004743)
  * Refresh symbols to fix FTBFS on amd64 (Closes: #1041257)
  * Give up tracking symbols for C++ library. (Closes: #1041257, #1015403)

 -- Mo Zhou <lumin@debian.org>  Mon, 17 Jul 2023 22:05:19 -0700

flatbuffers (2.0.8+dfsg1-3) unstable; urgency=medium

  * Add patch for missing header to fix FTBFS (Closes: #1037658)
  * Refresh symbols control file.
  * Fix/override lintian warnings/errors.
  * Remove unused lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Jul 2023 21:26:56 -0700

flatbuffers (2.0.8+dfsg1-2) unstable; urgency=medium

  * Refresh symbols control file for amd64.

 -- Mo Zhou <lumin@debian.org>  Thu, 15 Dec 2022 16:49:15 -0500

flatbuffers (2.0.8+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Security-Contact.
  * Remove obsolete field Contact from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable)

  [ Mo Zhou ]
  * New upstream version 2.0.8+dfsg1 (Aug 2022)
  * Refresh remaining patches.
  * Update install control files.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Dec 2022 10:33:53 -0500

flatbuffers (2.0.6+dfsg1-3) unstable; urgency=medium

  * Add -Wno-error=stringop-overflow to fix s390x FTBFS.

 -- Mo Zhou <lumin@debian.org>  Fri, 30 Sep 2022 19:32:34 -0400

flatbuffers (2.0.6+dfsg1-2) unstable; urgency=medium

  * Specify -Wno-error=maybe-uninitialized for GCC-12 (Closes: #1012928)
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Sat, 03 Sep 2022 14:23:09 -0400

flatbuffers (2.0.6+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Fri, 08 Jul 2022 08:03:50 -0700

flatbuffers (2.0.6+dfsg1-1~exp3) experimental; urgency=medium

  * Patch to fix s390x FTBFS.

 -- Mo Zhou <lumin@debian.org>  Sun, 19 Jun 2022 21:15:24 -0700

flatbuffers (2.0.6+dfsg1-1~exp2) experimental; urgency=medium

  * Only track symbols for amd64 architecture. Manually crafting C++ symbol
    file for a hundred architectures sounds like nothing but a burden to me.

 -- Mo Zhou <lumin@debian.org>  Sat, 18 Jun 2022 13:40:39 -0700

flatbuffers (2.0.6+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 2.0.6+dfsg1
  * Append myself to Uploaders.
  * Update Files-Excluded list.
  * Change build directory to $(CURDIR) to prevent test failure.
  * Bump SOVERSION from 1 to 2; rename packages.
  * Remove upstream-merged patches.
  * Install the generated pkgconfig file.
  * Refresh symbols control file.
  * Overhaul d/copyright due to massive codebase change.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Mon, 30 May 2022 17:07:31 -0700

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark three more symbols as optional, to fix s390x and ppc64el in Ubuntu.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 08 Jan 2021 16:29:01 +0100

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ Vasyl Gello ]
  * Mark a few other symbols as optional to fix FTBFS on sid/s390x.

  [ Mattia Rizzolo ]
  * Match all the Std:: symbols out there.
  * Manually handle symbols arch subst without pkgkde-tools.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 02 Jan 2021 14:45:07 +0100

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Make C++ template symbols optional and refresh them (Closes: #976921)
  * Bump standards version to 4.5.1 (no changes required)
  * Install python3-flatbuffers as indep (Closes: #976069)

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 24 Dec 2020 13:19:42 +0000

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop useless symbols disappearing with -O3 optimization level

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jul 2020 13:15:52 +0200

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian: Adjust symbols from buildlogs.
  * debian: Fix failing tests on hppa/mipsel/mips64el.

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 17 Jul 2020 18:15:18 +0200

flatbuffers (1.12.1~git20200711.33e2d80+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Vasyl Gello ]
  * New upstream version 1.12.1~git20200711.33e2d80+dfsg1.
    + Fixed build with GCC-10.  Closes: #957212
  * debian: Remove obsoleted patch
  * debian: Update symbols file.

  [ Mattia Rizzolo ]
  * Mark python3-flatbuffers as M-A:foreign, from the M-A hinter.

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 15 Jul 2020 16:30:01 +0200

flatbuffers (1.11.0+dfsg1-3) unstable; urgency=medium

  * Team upload
  * Refresh symbols for non-amd64 archs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Jul 2020 23:41:07 +0200

flatbuffers (1.11.0+dfsg1-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Vasyl Gello ]
  * debian: Adjust symbols for libflatbuffers1/alpha
  * debian: Add gbp.conf
  * debian: fix Lintian warnings
  * debian: fix FTBFS on hurd/i386

  [ Alexander Gerasiov ]
  * d/control, d/rules: Add python3-flatbuffers.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Jul 2020 18:04:01 +0200

flatbuffers (1.11.0+dfsg1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbol files on {stable,unstable}/amd64

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 25 May 2020 17:13:26 +0300

flatbuffers (1.11.0+dfsg1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixup again symbol files

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Mar 2020 17:17:26 +0100

flatbuffers (1.11.0+dfsg1-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Refresh symbols from unstable build logs.
    This fixes FTBFS on mips64el.

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 17:35:47 +0100

flatbuffers (1.11.0+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix odd version number that I uploaded with accidentally (I'm sorry)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 20 Jan 2020 12:14:42 +0100

flatbuffers (1.11.0+dfsg1-1.1~rbalint1) unstable; urgency=medium

  * Non-maintainer upload (Closes: #949329)
  * Update symbols from sid build logs and local build to fix FTBFS

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 19 Jan 2020 22:22:01 +0100

flatbuffers (1.11.0+dfsg1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Initial release. (Closes: #823037)
  * New upstream release (1.10.0).
  * Bump debhelper build-dep and compat to 12
  * Bump to Standards-Version 4.3.0
  * Use the hardening=+all deb build option
  * Add missing package sections
  * Add symbols to be managed with pkgkde symbolshelper
  * New upstream release (1.11.0).
  * Update symbols files
  * Release to unstable

  [ Balint Reczey ]
  * Add Salsa CI configuration
  * debian/control: Fix typo libsdevel -> libdevel
  * debian/control: Make unique short descriptions
  * Override false positive source-contains-prebuilt-doxygen-documentation
    Lintian warning
  * Add packaging TODO
  * Exclude prebuilt jars from original upstream tarball
  * debian/watch: Support repacked source
  * New import of upstream version 1.10.0 as 1.10.0+dfsg1 excluding the jars
  * debian/gitlab-ci.yml: Disable reprotest until cmake is fixed

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jul 2019 10:40:36 -0300
